列出 featureRolloutPolicies
本文内容
命名空间:microsoft.graph
检索 featureRolloutPolicy 对象 的列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Directory.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /policies/featureRolloutPolicies
可选的查询参数
此方法支持以下 OData 查询参数来帮助自定义响应 $count $expand $filter $orderby $select $skip :、、、。 $top 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
Bearer {token}。 必需
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK featureRolloutPolicy 对象集合。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/v1.0/policies/featureRolloutPolicies
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var featureRolloutPolicies = await graphClient.Policies.FeatureRolloutPolicies
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let featureRolloutPolicies = await client.api('/policies/featureRolloutPolicies')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/policies/featureRolloutPolicies"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphFeatureRolloutPolicy *featureRolloutPolicy = [[MSGraphFeatureRolloutPolicy alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
FeatureRolloutPolicyCollectionPage featureRolloutPolicies = graphClient.policies().featureRolloutPolicies()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Policies().FeatureRolloutPolicies().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "e3c2f23a-edd2-43a8-849f-154e70794ac5",
"displayName": "PassthroughAuthentication rollout policy",
"description": "PassthroughAuthentication rollout policy",
"feature": "passthroughAuthentication",
"isEnabled": true,
"isAppliedToOrganization": false
},
{
"id": "df85e4d9-e8c4-4033-a41c-73419a95c29c",
"displayName": "SeamlessSso rollout policy",
"description": "SeamlessSso rollout policy",
"feature": "seamlessSso",
"isEnabled": true,
"isAppliedToOrganization": false
}
]
}